NoOfPoints = 10 ;
X = zeros(length(lb),NoOfPoints) ;

%Make narrower limits
lb = scalex*[-5 -165 500 250 800/60 17]' ;
ub = scalex*[10 -155 1000 500 1200/60 21]' ;

for i=1:length(lb)
    X(i,:) = lb(i) + (ub(i)-lb(i))*rand(1,NoOfPoints) ;
end
xopt = zeros(size(X));

C = zeros(5,NoOfPoints) ;
J = zeros(1,NoOfPoints) ;



for j=1:NoOfPoints
    xopt(:,j)=fmincon(@obj_prico_temp,X(:,j),[],[],[],[],lb,ub,@constraints_prico_temp,opt_options,d,par);
    
    J(j) = 1e5*obj_prico_temp(xopt(:,j),d,par) ;
    [c ceq] = constraints_prico_temp(X(:,j),d,par) ;

    C(:,j) = scalec\c ;
end